package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 发行人对象 po_issuer
 *
 * @author ruoyi
 * @date 2023-02-18
 */
public class PoIssuer extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 发行商Id */
    private Long issuerId;

    /** 发行商名字 */
    @Excel(name = "发行商名字")
    private String issuerName;

    /** 发行商电话 */
    @Excel(name = "发行商电话")
    private String issuerPhone;

    /** 发行商地址 */
    @Excel(name = "发行商地址")
    private String issuerAddress;

    /** 发行商地址 */
    @Excel(name = "邮箱")
    private String email;

    /** 发行商地址 */
    @Excel(name = "头像")
    private String headPortrait;

    /** 藏品名称 */
    @Excel(name = "藏品名称")
    private String collectionTitle;

    /** 是否删除（0是 1否） */
    private int delFlag;

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getHeadPortrait() {
        return headPortrait;
    }

    public void setHeadPortrait(String headPortrait) {
        this.headPortrait = headPortrait;
    }

    public void setIssuerId(Long issuerId)
    {
        this.issuerId = issuerId;
    }

    public Long getIssuerId()
    {
        return issuerId;
    }
    public void setIssuerName(String issuerName)
    {
        this.issuerName = issuerName;
    }

    public String getIssuerName()
    {
        return issuerName;
    }
    public void setIssuerPhone(String issuerPhone)
    {
        this.issuerPhone = issuerPhone;
    }

    public String getIssuerPhone()
    {
        return issuerPhone;
    }
    public void setIssuerAddress(String issuerAddress)
    {
        this.issuerAddress = issuerAddress;
    }

    public String getIssuerAddress()
    {
        return issuerAddress;
    }
    public void setCollectionTitle(String collectionTitle)
    {
        this.collectionTitle = collectionTitle;
    }

    public String getCollectionTitle()
    {
        return collectionTitle;
    }
    public void setDelFlag(int delFlag)
    {
        this.delFlag = delFlag;
    }

    public int getDelFlag()
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("issuerId", getIssuerId())
                .append("issuerName", getIssuerName())
                .append("issuerPhone", getIssuerPhone())
                .append("issuerAddress", getIssuerAddress())
                .append("collectionTitle", getCollectionTitle())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateTime", getUpdateTime())
                .append("updateBy", getUpdateBy())
                .append("remark", getRemark())
                .append("delFlag", getDelFlag())
                .append("email", getEmail())
                .append("headPortrait", getHeadPortrait())
                .toString();
    }
}
